/**
 * 
 */
package model;

import model.Endereco;
/**
 * @author <a href="mailto:nitaibezerra@gmail.com">Nitai Bezerra da Silva</a>

 *
 */
public class Pessoa {
	private String nome;
	private String login;
	private String senha;
	private Endereco endereco;
	private String telefone;
	private String cpf;
	private String email;
	private String rg;
	private String nivelAcesso;
	
	
	public Pessoa(String cpf, String email, Endereco endereco, String login, String acesso, String nome, String rg, String senha, String telefone) {
		this.cpf = cpf;
		this.email = email;
		this.endereco = endereco;
		this.login = login;
		nivelAcesso = acesso;
		this.nome = nome;
		this.rg = rg;
		this.senha = senha;
		this.telefone = telefone;
	}

	public Pessoa(){
		
	}

	public String getCpf() {
		return cpf;
	}


	public void setCpf(String cpf) {
		this.cpf = cpf;
	}


	public String getEmail() {
		return email;
	}


	public void setEmail(String email) {
		this.email = email;
	}


	public Endereco getEndereco() {
		return endereco;
	}


	public void setEndereco(Endereco endereco) {
		this.endereco = endereco;
	}


	public String getLogin() {
		return login;
	}


	public void setLogin(String login) {
		this.login = login;
	}


	public String getNivelAcesso() {
		return nivelAcesso;
	}


	public void setNivelAcesso(String nivelAcesso) {
		this.nivelAcesso = nivelAcesso;
	}


	public String getNome() {
		return nome;
	}


	public void setNome(String nome) {
		this.nome = nome;
	}


	public String getRg() {
		return rg;
	}


	public void setRg(String rg) {
		this.rg = rg;
	}


	public String getSenha() {
		return senha;
	}


	public void setSenha(String senha) {
		this.senha = senha;
	}


	public String getTelefone() {
		return telefone;
	}


	public void setTelefone(String telefone) {
		this.telefone = telefone;
	}
	
	public boolean equals(Pessoa pessoa){
		return this.cpf.equals(pessoa.cpf);
	}
}
